<template>
    <div class="rounded-edge statistic" v-bind:class="classObject">
        <button id="closeBTN" v-if="fullscreen" @click="emitFullscreen">X CLOSE</button>
        <h3 v-if="type === 0">Unhealthy tomatoes</h3>
        <h3 v-else>Healthy tomatoes</h3>

        <h4 class="statistic__percentage statistic__font-big">{{ percentage }}%</h4>

        <img class="checkmark" v-if="type === 0" src="~/assets/images/redArrow.png" alt="red arrow">
        <img class="checkmark" v-else src="~/assets/images/greenArrow.png" alt="green arrow">

        <p class="counter" v-if="typeof imagesCount != 'undefined'">{{ imagesCount }} images</p>

        <div v-if="fullscreen === true" class="statistic__Image-grid">
            <ul>
                <li v-for="image in getImages">
                    <AppSingleImage :image="image"/>
                </li>
            </ul>
        </div>

        <button class="expandBTN" v-if="typeof imagesCount != 'undefined'" @click="emitFullscreen"><img src="~/assets/images/arrow.svg" alt="image down"></button>
    </div>
</template>
<script>
    import AppSingleImage from '~/components/statistics/singleImage.vue';

    export default {
        props: {
            // type of statistic
            // 1 = healthy tomatoes
            // 0 = unhealthy tomatoes
            type: {
                default: 0,
                required: true,
                type: Number
            },
            percentage: {
                default: 0,
                required: true,
            },
            imagesCount: {
                required: false,
            }
        },
        components: {
            AppSingleImage,
        },
        data() {
            return {
                // Fullscreen
                // 0 false
                // 1 true
                fullscreen: 0,
            }
        },
        methods: {
            emitFullscreen() {
                this.fullscreen = !this.fullscreen;
                this.$emit('input', String(this.fullscreen));
            },
        },
        computed: {
            classObject: function () {
                return {
                    'statistic__small': typeof this.imagesCount === 'undefined',
                    'statistic__small__showExtra': typeof this.imagesCount !== 'undefined',
                    'fullscreen': this.fullscreen,
                }
            },
            getImages() {
                if (this.type === 0) {
                    return this.$store.state.images.unhealthyImages;
                } else {
                    return this.$store.state.images.healthyImages;
                }
            }
        }
    }
</script>
